## gworkspace 1.0.0

=== debian/changelog ===
gworkspace (1.0.0-5) unstable; urgency=medium

  * debian/patches/multiarch.patch: New; avoid unnecessary error with the
    multiarch layout (Closes: #1094003).
  * debian/control (Build-Depends): Require libpreferencepanes-dev (>=
    1.2.1-2) and libgnustep-gui-dev (>= 0.31.1-7) for the multiarch layout.
    (gworkspace-libs, libinspector-dev, libinspector0): Set as M-A: same.
    (gworkspace-apps-wrappers): Set Architecture to "any" and mark as
    Multi-Arch: same as these are symlinks in GNUSTEP_SYSTEM_APPS.
  * debian/gworkspace.app.install: Update for multiarch.
  * debian/gworkspace.app.links: Likewise.
  * debian/mdfinder.app.install: Likewise.
  * debian/mdfinder.app.links: Likewise.
  * debian/libinspector-dev.install: Likewise.
  * debian/libinspector0.install: Likewise.
  * debian/libinspector0.links: Likewise.
  * debian/gworkspace-libs.install: Likewise.
  * debian/gworkspace-common.install: Likewise.
  * debian/gworkspace-apps-wrappers.links: Likewise.
  * debian/rules (private_dir): New variable.  Install private libraries
    in a subdirectory of GNUSTEP_SYSTEM_LIBRARIES so that gworkspace-libs
    can be marked as Multi-Arch: same.
  * debian/upstream/metadata: New file.
  * debian/copyright: Update copyright years.

 -- Yavor Doganov <yavor@gnu.org>  Tue, 04 Feb 2025 12:40:59 +0200

gworkspace (1.0.0-4) unstable; urgency=medium

  * Upload to unstable.
  * debian/gbp.conf: Remove debian-branch.
  * Run wrap-and-sort -ast.
  * debian/control (gworkspace.app) <Recommends>: Add
    addresses-goodies-for-gnustep which will include the VCFViewer
    inspector with the next upload of src:addresses-for-gnustep.

 -- Yavor Doganov <yavor@gnu.org>  Mon, 23 Sep 2024 18:35:45 +0300

gworkspace (1.0.0-3) experimental; urgency=medium

  * debian/gbp.conf: New file.
  * debian/control (Build-Depends): Add gnustep-make (>= 2.9.2-2) for
    dh_gnustep's new features.
    (gworkspace.app) <Recommends>: Add preview.app as a price.app
    alternative (more lightweight, only a viewer).
    <Depends>: Add gworkspace-libs and libinspector0.
    <Breaks, Replaces>: Remove; obsolete.
    (gworkspace-common) <Breaks>: Likewise.
    (libinspector-dev, libinspector0): New packages; split the Inspector
    framework and ship it as public library in order to build the
    VCFViewer inspector from src:addresses-for-gnustep.
    (gworkspace-libs): New package; move the private libraries here.
    This is necessary to avoid a circular dependency:
      - gworkspace.app must depend on libinspector0 because GWorkspace
        links with libInspector.
      - libinspector0 must depend on gworkspace.app because libInspector
        links with libFSNode.
    (mdfinder.app) <Depends>: Replace gworkspace.app with gworkspace-libs.
  * debian/rules (override_dh_auto_install): Don't set DESTDIR; already
    done by dh_auto_install.  Reinstall Inspector as public library.
    (override_dh_missing): Remove override; we install everything now.
    (execute_before_dh_link): New override; run dh_gnustep --no-move.
    (override_dh_makeshlibs): Pass -n only for gworkspace-libs.
  * debian/mdfinder.app.install: Install everything but Resources.
  * debian/gworkspace.app.install: Likewise.  Move all frameworks to the
    new packages, adding missing Resources symlink.
  * debian/gworkspace.app.links: Remove unnecessary links.
  * debian/libinspector0.links: New file.
  * debian/libinspector0.install: Likewise.
  * debian/libinspector-dev.install: Likewise.
  * debian/gworkspace-libs.install: Likewise.
  * debian/watch: Use HTTPS protocol.
  * debian/copyright: Add Upstream-Contact.  Add new stanza for two
    manpages under the FSFAP license.

 -- Yavor Doganov <yavor@gnu.org>  Sun, 22 Sep 2024 16:23:27 +0300

gworkspace (1.0.0-2) unstable; urgency=medium

  * Bump standards version to 4.7.0.

 -- Alex Myczko <tar@debian.org>  Mon, 22 Jul 2024 13:24:37 +0000

gworkspace (1.0.0-1) unstable; urgency=medium

  * New upstream release, dedicated to Bertrand Dekoninck (RIP).
  * Remove patches applied upstream:
    + link-libs.patch;
    + spelling-errors.patch;
    + incompatible-pointer-types.patch;
    + misc-compiler-warnings.patch;
    + ftbfs-hurd.patch;
    + gcc-10.patch.
  * debian/patches/series: Update.
  * debian/patches/popplerkit.patch: Adjust for build system changes.
  * debian/gworkspace-common.install: Update for the FSNode SONAME change;
    exclude converted .png file.
  * debian/gworkspace.app.install: Update for the FSNode SONAME change.
    Install .png app icon here as AppStream cannot find it.
  * debian/gworkspace.app.links: Update for the FSNode SONAME change.
  * debian/rules (override_dh_auto_install): Delete
    autogenerated *.desktop files.
    (override_dh_fixperms): Remove override; no longer necessary.
  * debian/control: Add appropriate Breaks/Replaces for the icon move.
    (Uploaders): Update Gürkan's email address.
    (Standards-Version): Bump to 4.6.0; no changes needed.
  * debian/watch: Bump version to 4.
  * debian/changelog: Fix lintian E: bogus-mail-host-in-debian-changelog.
  * debian/copyright: Update copyright years.

 -- Yavor Doganov <yavor@gnu.org>  Mon, 27 Dec 2021 15:11:42 +0200
