## gworkspace 1.1.0

=== debian/changelog ===
gworkspace (1.1.0-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/gbp.conf: Remove debian-branch.
  * debian/control (Build-Depends): Remove version constaint for
    libpopplerkit-dev and relax libpreferencepanes-dev so that gworkspace
    can be built against the binNMUed packages in unstable.
    (Standards-Version): Claim compliance with 4.7.2; no changes needed.

 -- Yavor Doganov <yavor@gnu.org>  Fri, 28 Feb 2025 13:00:40 +0200

gworkspace (1.1.0-1) experimental; urgency=medium

  * New upstream release:
    + SONAME bump: libinspector0 -> 1.
  * debian/gbp.conf: Set debian-branch to experimental.
  * debian/patches/popplerkit.patch: Refresh.
  * debian/control (Build-Depends): Require libgnustep-gui-dev (>= 0.32),
    libpopplerkit-dev (>= 0.0.20051227svn-14) and libpreferencepanes-dev
    (>= 1.2.1-3) to ensure it gets built against the new GNUstep core.
    (gworkspace.app) <Depends>: Replace libinspector0 with libinspector1.
    (libinspector-dev) <Depends>: Likewise.
    (libinspector0): Rename package to libinspector1.
  * debian/rules (override_dh_clean): New; delete config.{log,status}.
  * debian/source/lintian-overrides: New file; override lintian warning
    configure-generated-file-in-source.
  * debian/gworkspace-common.install: Update for the new upstream release.
    Use globs where possible.
  * debian/gworkspace-libs.install: Likewise.
  * debian/libinspector-dev.install: Likewise.
  * debian/libinspector0.install: Rename as...
  * debian/libinspector1.install: ...and use globs.
  * debian/libinspector0.links: Rename as...
  * debian/libinspector1.links: ...and update for the new version.
  * debian/copyright: Update copyright years.

 -- Yavor Doganov <yavor@gnu.org>  Sat, 15 Feb 2025 13:11:08 +0200
