=== debian/control ===
--- 
+++ 
@@ -10,12 +10,12 @@
 Build-Depends:
  debhelper-compat (= 13),
  imagemagick,
- libgnustep-gui-dev (>= 0.31.1-7),
+ libgnustep-gui-dev (>= 0.32),
  libpopplerkit-dev,
  libpreferencepanes-dev (>= 1.2.1-2),
  libsqlite3-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/gnustep-team/gworkspace.git
 Vcs-Browser: https://salsa.debian.org/gnustep-team/gworkspace
 Homepage: http://www.gnustep.org/experience/GWorkspace.html
@@ -25,7 +25,7 @@
 Depends:
  gworkspace-common (= ${source:Version}),
  gworkspace-libs (= ${binary:Version}),
- libinspector0 (= ${binary:Version}),
+ libinspector1 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
 Recommends:
@@ -83,7 +83,7 @@
 Multi-Arch: same
 Depends:
  libgnustep-gui-dev,
- libinspector0 (= ${binary:Version}),
+ libinspector1 (= ${binary:Version}),
  ${misc:Depends},
 Breaks:
  gworkspace.app (<< 1.0.0-3),
@@ -97,7 +97,7 @@
  This package contains the headers and .so symlink of the GWorkspace
  Inspector framework needed to develop inspectors for GWorkspace.
 
-Package: libinspector0
+Package: libinspector1
 Architecture: any
 Section: libs
 Multi-Arch: same
