=== debian/rules ===
--- 
+++ 
@@ -37,6 +37,11 @@
 # Delete auto-generated *.desktop files.
 	find $(d_app) -name "*.desktop" -delete
 
+# Delete config.status and config.log.  The override should be removed
+# if this is fixed in the next upstream release.
+override_dh_clean:
+	dh_clean GWMetadata/config.*
+
 override_dh_installman:
 	dh_installman
 # Create symlinks for the manpages.  Deliberately do not derive the
