=== debian/watch ===
version=4
https://ftp.gnustep.org/pub/gnustep/usr-apps/gworkspace-(.*)\.tar\.gz
